#!/bin/bash

hw_product_name=$(cat /sys/class/dmi/id/product_name)
#避免和oobe起冲突
while true; do
	sleep 1
	num=$(dpkg -l | grep 'nfs-installer-oobe' | wc -l)
	if [ $num = 0 ]; then
		break 
	fi
done
#确认oobe被卸载后3s后在做工作
sleep 3
#凡是涉及initramfs升级的操作，都需要确保当前系统中的initramfs-tools不存在iF状态
timeout=1
timeexpired=60
status=$(dpkg -l initramfs-tools | grep initramfs-tools | awk '{print $1}' )
while [ "$status" == "iF"  ];do
	timeout=`expr $timeout + 1`
	result=$(($timeout % $timeexpired))
	#最糟糕的情况是等待60s了，initramfs-tools的状态还是iF，此时手动触发pending的trigger
	if [ $result == 0 ];then
		/usr/bin/dpkg --configure --pending
		break
	fi
	sleep 1
        status=$(dpkg -l initramfs-tools | grep initramfs-tools | awk '{print $1}' )
done

#针对X1笔记本，作定制优化
if [ x"$hw_product_name" = x"KaiTian X1 G1d" ]; then
	/bin/bash /usr/sbin/KaiTian_X1_G1d-custom.sh
fi

systemctl enable detect_gpu.service
systemctl start detect_gpu.service

#最后disable该服务，为了只在第一次开机执行这些定制优化
systemctl disable cdos-system-custom.service 
